/* Draft Models Tool CSS */

.fa-twitter {
  color: #55ACEE !important;
}

#main {
  margin-top: -20px;
}

#main a:hover {
  color: #4f46e5;
}

#main h3 {
  font-size: 1.5em;
}

#main h4 {
  font-size: 1.1em;
}

#loading {
  margin: 20px;
}

#rankings-wrap {
  margin-top: 20px;
  overflow: auto;
  max-height: 80vh;
  position: relative;
}

#rankings {
  z-index: 1;
}

#rankings thead {
  position: sticky;
  top: 0;
  z-index: 10;
}

#rankings thead th {
  background: #fff;
}

#rankings td,
#rankings th {
  padding: 0;
  white-space: nowrap;
  border-top: 0;
}

#rankings td {
  font-size: 0.857em;
}

#rankings td.text-right {
  font-weight: bold;
  padding: 8px 10px;
}

#rankings td .prospect-label {
  border-radius: 30px;
  cursor: pointer;
  padding: 3px 8px;
  margin: 5px 10px;
  display: block;
}

#rankings td .prospect-projection {
  color: #999;
  font-size: 0.8333em;
  line-height: 1.8;
  vertical-align: top;
}

#rankings td .prospect-comparisons {
  margin: 0;
  padding: 0;
  border: 0;
  background: transparent;
  font-size: 11px;
  vertical-align: top;
  outline: 0;
  cursor: pointer;
}

#rankings td .prospect-pill {
  font-size: 0.75em;
  line-height: 2;
  vertical-align: top;
  background: rgba(255, 255, 255, 0.4);
  border-radius: 5px;
  padding: 0 3px;
}

#rankings td .prospect-projection.prospect-pill {
  color: #444;
}

#rankings td .prospect-penalty {
  display: none;
}

#rankings td .prospect-penalty[data-state="positive"] {
  color: #2A8000;
}

#rankings td .prospect-penalty[data-state="negative"] {
  color: #C41E3A;
}

#rankings td[data-diff] .prospect-label {
  background: transparent;
}

#rankings td[data-diff^="-"] .prospect-label {
  background: #ccccff;
}

/* Underrated/Overrated color scale */
#rankings td[data-diff="1"] .prospect-label { background: rgba(255, 204, 204, 0.02); }
#rankings td[data-diff="2"] .prospect-label { background: rgba(255, 204, 204, 0.04); }
#rankings td[data-diff="3"] .prospect-label { background: rgba(255, 204, 204, 0.06); }
#rankings td[data-diff="4"] .prospect-label { background: rgba(255, 204, 204, 0.08); }
#rankings td[data-diff="5"] .prospect-label { background: rgba(255, 204, 204, 0.1); }
#rankings td[data-diff="10"] .prospect-label { background: rgba(255, 204, 204, 0.2); }
#rankings td[data-diff="15"] .prospect-label { background: rgba(255, 204, 204, 0.3); }
#rankings td[data-diff="20"] .prospect-label { background: rgba(255, 204, 204, 0.4); }
#rankings td[data-diff="25"] .prospect-label { background: rgba(255, 204, 204, 0.5); }
#rankings td[data-diff="30"] .prospect-label { background: rgba(255, 204, 204, 0.6); }
#rankings td[data-diff="35"] .prospect-label { background: rgba(255, 204, 204, 0.7); }
#rankings td[data-diff="40"] .prospect-label { background: rgba(255, 204, 204, 0.8); }
#rankings td[data-diff="45"] .prospect-label { background: rgba(255, 204, 204, 0.9); }
#rankings td[data-diff="50"] .prospect-label { background: rgba(255, 204, 204, 1); }

#rankings td[data-diff="-1"] .prospect-label { background: rgba(204, 204, 255, 0.02); }
#rankings td[data-diff="-2"] .prospect-label { background: rgba(204, 204, 255, 0.04); }
#rankings td[data-diff="-3"] .prospect-label { background: rgba(204, 204, 255, 0.06); }
#rankings td[data-diff="-4"] .prospect-label { background: rgba(204, 204, 255, 0.08); }
#rankings td[data-diff="-5"] .prospect-label { background: rgba(204, 204, 255, 0.1); }
#rankings td[data-diff="-10"] .prospect-label { background: rgba(204, 204, 255, 0.2); }
#rankings td[data-diff="-15"] .prospect-label { background: rgba(204, 204, 255, 0.3); }
#rankings td[data-diff="-20"] .prospect-label { background: rgba(204, 204, 255, 0.4); }
#rankings td[data-diff="-25"] .prospect-label { background: rgba(204, 204, 255, 0.5); }
#rankings td[data-diff="-30"] .prospect-label { background: rgba(204, 204, 255, 0.6); }
#rankings td[data-diff="-35"] .prospect-label { background: rgba(204, 204, 255, 0.7); }
#rankings td[data-diff="-40"] .prospect-label { background: rgba(204, 204, 255, 0.8); }
#rankings td[data-diff="-45"] .prospect-label { background: rgba(204, 204, 255, 0.9); }
#rankings td[data-diff="-50"] .prospect-label { background: rgba(204, 204, 255, 1); }

#rankings-wrap,
#rankings {
  z-index: 1;
}

#rankings thead tr {
  background: #FFF;
}

#rankings thead th {
  font-weight: bold;
  white-space: nowrap;
}

#rankings thead th .model-baseline {
  background: #F5F5F5;
  font-size: 7px;
  text-transform: uppercase;
  letter-spacing: 4px;
  color: #CCC;
  margin-bottom: 8px;
  cursor: pointer;
  padding: 1px;
  display: block;
  text-decoration: none;
}

#rankings thead th .model-baseline:focus,
#rankings thead th .model-baseline:hover {
  text-decoration: none;
}

#rankings thead th .model-metric {
  font-size: 11px;
  color: #666;
}

#rankings thead th .model-metric a,
#rankings thead th .model-metric a:hover,
#rankings thead th .model-metric a:focus {
  color: #666;
}

#rankings thead th .model-correlation-wrapper {
  white-space: nowrap;
  font-size: 10px;
}

#rankings thead th .model-info-modal-trigger .fa-info-circle {
  color: #AAA;
  padding: 2px 0 0;
}

#rankings thead th .model-correlation-wrapper .fa {
  font-size: 10px;
  vertical-align: bottom;
}

#rankings thead th.model-metric-column {
  border-bottom-color: #666;
  background: #333;
  color: #FFF;
}

#rankings thead th.model-metric-column .model-metric {
  color: #EFEFEF;
}

#rankings thead th.model-metric-column .model-baseline {
  background: #444;
}

#rankings thead th.selected .model-baseline {
  background: #4f46e5;
  color: #FFF;
}

#rankings tr td:first-child,
#rankings tr td:last-child,
#rankings tr th:first-child,
#rankings tr th:last-child {
  background: #F5F5F5;
}

#rankings tr th:first-child,
#rankings tr th:last-child {
  padding-left: 4px;
  padding-right: 4px;
}

#floating-scrollbar {
  z-index: 999999;
}

#rankings-svg {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
}

.model-metric-column {
  background: #333;
  color: #FFF;
}

.legend {
  font-size: 10px;
  line-height: 20px;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: #AAA;
}

.legend > span {
  vertical-align: middle;
  display: inline-block;
  width: 100px;
  background: #FFF;
  background-image: linear-gradient(to right, #ccccff, #FFF, #ffcccc);
  height: 14px;
  position: relative;
  top: -1px;
  margin: 0 6px;
}

.prospect-connection {
  z-index: 0;
}

.prospect-connection path {
  stroke-width: 3px;
  stroke: #eee;
  opacity: 0.8;
}

path.prospect-connection {
  z-index: 0;
  fill: none;
  stroke-width: 3px;
  stroke: #eee;
  opacity: 0.8;
}

#selections > div {
  margin-bottom: 10px;
}

#selections select {
  font-size: 20px;
  height: 44px;
}

#results-header > div {
  margin: 10px 0 0;
}

#results label {
  display: inline-block;
}

#results.prospect-penalties-visible .prospect-penalty {
  display: inline;
}

#results.prospect-penalties-visible .prospect-projection {
  display: none;
}

#summary #top-three-wrapper,
#summary #summary-graph-wrapper {
  display: none;
}

#summary[data-year="ALL"] #top-three-wrapper,
#summary[data-year="ALL"] #summary-graph-wrapper {
  display: block;
}

#summary[data-year="ALL"] #projection-distribution-wrapper {
  display: none;
}

#summary > .row > div {
  margin: 10px 0;
}

#top-three .top-three-circle {
  height: 50px;
  line-height: 50px;
  width: 50px;
  border-radius: 25px;
  background: #333;
  color: #F5F5F5;
  text-align: center;
  float: left;
  margin: 0 20px;
  font-size: 1.5em;
}

#top-three .top-three-circle[data-count="2"] {
  background: #666;
}

#top-three .top-three-circle[data-count="3"] {
  background: #999;
}

#top-three .top-three-author {
  font-size: 1.1em;
  font-weight: bold;
}

#top-three .top-three-metric {
  font-size: 0.9em;
}

#correlation-matrix {
  overflow: auto;
  font-size: 85.7%;
}

#correlation-matrix td,
#correlation-matrix th {
  border-top: 0;
}

#correlation-matrix th.rotate {
  height: 100px;
  white-space: nowrap;
  text-overflow: ellipsis;
}

#correlation-matrix th.rotate > div {
  transform: translate(5px, -5px) rotate(315deg);
  width: 40px;
}

#projection-distribution {
  height: 400px;
}

.info-modal {
  z-index: 20000;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  font-size: 12px;
}

.info-modal h3 {
  font-size: 1.5em;
  margin-top: 0;
}

.info-modal th {
  border-top: 0;
}

.info-modal .row-fluid {
  display: flex;
  gap: 20px;
  margin-bottom: 15px;
}

.info-modal .info-modal-background {
  z-index: 10000;
  background: rgba(0, 0, 0, 0.2);
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.info-modal .info-modal-content {
  z-index: 10100;
  margin: 100px auto;
  max-height: 70%;
  padding: 20px;
  border-radius: 30px;
  width: 370px;
  background: #FFF;
  position: relative;
  overflow-y: auto;
}

#prospect-info-modal .prospect-info-modal-score {
  width: 60px;
}

#prospect-info-modal .prospect-info-modal-score > div {
  border-right: 1px solid #EEE;
}

#prospect-info-modal .prospect-info-modal-bar {
  height: 15px;
  background: #444;
}

svg text {
  fill: #666;
}

svg .c3-axis line,
svg .c3-axis path {
  stroke: #999;
}

svg .c3-axis text {
  fill: #999;
}

#methodology {
  margin-top: 20px;
}

#methodology h3 {
  margin-bottom: 0;
}

#methodology h4 {
  margin-top: 20px;
  margin-bottom: 8px;
}

#methodology p {
  font-size: 0.95em;
  color: #555;
  margin-bottom: 10px;
}

#methodology a {
  text-decoration: underline;
}

#methodology code {
  background-color: #f3f4f6;
  padding: 2px 6px;
  border-radius: 4px;
  font-size: 0.875em;
}
